Subject: FAL: FileIndexingTask fails to execute in TYPO3 6.2 (current master)
Description

I've got 2 TYPO3 6.2 installations which are pretty new and clean. I didn't delete any file mounts . I've uploaded some images via the
filelist module (which was a problem discussed here). All uploaded images are listed by the filelist module. When using the page
module and editing a tt_content element I don't see the uploaded images (or just one out of four...).

So I remembered the problem discussed in #44105 and created a new FileIndexingTask. When starting the scheduler task I get the
following error message:

Die Ausführung von Task "Datei-Abstraktionsschicht: Indizierungs-Auftrag (scheduler)" ist fehlgeschlagen mit folgender
Meldung: Task failed to execute successfully. Class: TYPO3\CMS\Scheduler\Task\FileIndexingTask, UID: 2

After that I thought I should provide an error message in English so I switched the TYPO3 backend to English. The error message
stays the same but there's something slightly different:

Execution of task "[OBSOLETE] File Abstraction Layer: Indexing job (scheduler)" failed with the following message: Task failed
to execute successfully. Class: TYPO3\CMS\Scheduler\Task\FileIndexingTask, UID: 2

As you can see the task is marked as "OBSOLETE". So I've got 2 problems:

    -  My uploaded files are not shown when editing tt_content (I didn't test other content tables).
    -  The task seems to be obsolete and is not working as expected.

BTW. I'm using the current master as of today.

Related issues:
related to Core - Bug # 55359: Image files with uppercase file extension don'... Resolved 2014-01-27

Associated revisions
Revision b890e468 - 2014-02-05 19:40 - Ralf Zimmermann

[BUGFIX] Make FileExtensionFilter case insensitive

Resolves: #55359
Resolves: #55614
Releases: 6.2
Change-Id: I8aceb208ba2f28967f08e9ac458d9a9da3de507b
Reviewed-on: https://review.typo3.org/27359
http://typo3.3.n7.nabble.com/6-0-1-FAL-filemounts-Could-not-find-row-with-uid-quot-1-quot-in-table-this-gt-table-td239233.html
https://review.typo3.org/27359


Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-02-03 13:47 - Ralf Zimmermann
- File patch.diff added

The problem is located the FileExtensionFilter

This filter check a lower case file extension array (jpg, gif...) against the extension of the files located in the given folder (pathinfo($fileName,
PATHINFO_EXTENSION)).
If there are files with uppercase extension like JPG, the filter won't match and return FALSE. The files are not listed.

It works with the attached patch, but i am not sure about side effects

#2 - 2014-02-03 13:59 - TRITUM GmbH

This was already a problem and fixed in #50568. The code has changed on 6.2 and now the problem occurs again.

#3 - 2014-02-03 14:08 - Ralf Zimmermann

The strtolower fix in #50568 was removed in revision 
http://forge.typo3.org/projects/typo3cms-core/repository/revisions/f83eddd5027b74d7f4d28a845521bff3b2dd603d (2014-01-15)

Diff:
http://forge.typo3.org/projects/typo3cms-core/repository/diff/typo3/sysext/core/Classes/Resource/Filter/FileExtensionFilter.php?rev=f83eddd5027b74d
f4d28a845521bff3b2dd603d&#38;rev_to=8289e607267f008e4c6a5fdc50ca4db680b091bc

#4 - 2014-02-04 19:47 - Frans Saris
- Status changed from New to Accepted

Could you push a patch that adds the strtolower again?

Gr. Frans

#5 - 2014-02-05 15:44 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27359

#6 - 2014-02-05 16:29 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27359

#7 - 2014-02-05 19:40 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27359

#8 - 2014-02-05 20:30 - Ralf Zimmermann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b890e46858d5ec51ea764cca8a754dd88a36a5ff.

#9 - 2014-02-11 09:58 - Johannes Busch

It appears to me that this bug is nocht 100% resolved. It also throws this exeption when my filenames have capital letters for example My-Uplaod.jpg .
I think the patch just resovles the issus with the file extensions.

#10 - 2014-04-07 18:36 - Renzo Bauen

I do not agree that this Issue is solved! (TYPO3 6.2.0 from download source on typo3.org).

If you read the given error carefully, then you can see, that it states, that the FileIndexingTask has failed.
I looked at typo3/sysext/scheduler/Classes/Task/FileIndexingTask.php

Line 91ff:
    /**     * Function execute from the Scheduler     *     * @return boolean TRUE on successful execution, FALSE on error
     */
    public function execute() {
        return FALSE;
    }

If you set "return TRUE" the FileIndexingTask doesn't throw any error anymore!
But, with this code, i am not sure, if it does anything at all??? Is there really any index updated by this scheduler task? Or its just a placebo for the
user?

Best Regards
Renzo

#11 - 2014-04-07 18:47 - Frans Saris

I think you are looking at the deprecated scheduler task.

Gr. Frans

#12 - 2014-04-07 18:54 - Renzo Bauen

2015-08-04 3/4

https://review.typo3.org/27359
https://review.typo3.org/27359


Ok, in Germen, this task is not marked as obsolet!
Thanks for your hint.
Best Regard, Renzo

#13 - 2014-04-17 17:51 - Caspar Wahl-vom Bruch

I got this error today. But I used this updated script. There seems to be a new reason. The Issue isn't solved, indeed.

#14 - 2014-04-17 18:50 - Frans Saris

Are you dure you run the new scheduler job?

There are now 3 FAL jobs, were 1 is obsolute.

Gr. Frans

Files
patch.diff 769 Bytes 2014-02-03 Ralf Zimmermann

2015-08-04 4/4


